curl --request PUT \
--url http://{host}:{port}/{contextPath}/task/{id}/comment \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "86cd272a-23ea-22e5-8e4a-e5bded20a556",
"message": "a task comment"
}
'import requests
url = "http://{host}:{port}/{contextPath}/task/{id}/comment"
payload = {
"id": "86cd272a-23ea-22e5-8e4a-e5bded20a556",
"message": "a task comment"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '86cd272a-23ea-22e5-8e4a-e5bded20a556', message: 'a task comment'})
};
fetch('http://{host}:{port}/{contextPath}/task/{id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"userId": "<string>",
"missingAuthorizations": [
{
"permissionName": "<string>",
"resourceName": "<string>",
"resourceId": "<string>"
}
],
"type": "<string>",
"message": "<string>",
"code": 123
}Update
Updates a Comment.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id associated of a task of a comment to be updated.
Body
Note: Only the id and message properties will be used. Every other
property passed to this endpoint will be ignored.
The id of the task comment.
The id of the user who created the comment.
The id of the task to which the comment belongs.
The id of the process instance the comment is related to.
The time when the comment was created.
Default format [blocked]
yyyy-MM-dd'T'HH:mm:ss.SSSZ.
The content of the comment.
The time after which the comment should be removed by the History Cleanup job.
Default format [blocked]
yyyy-MM-dd'T'HH:mm:ss.SSSZ.
The process instance id of the root process instance that initiated the process containing the task.
The links associated to this resource, with method, href and rel.
Show child attributes
Show child attributes
Response
Request successful.